From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: www-apache/mod_perl/
Date: Mon, 13 Nov 2023 04:35:27 +0000 (UTC) [thread overview]
Message-ID: <1699850075.ab9b6dfd0decc439972bb1fb190b24589c859cf7.sam@gentoo> (raw)
commit: ab9b6dfd0decc439972bb1fb190b24589c859cf7
Author: Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Mon Nov 13 03:57:41 2023 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Mon Nov 13 04:34:35 2023 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ab9b6dfd
www-apache/mod_perl: add 2.0.13
Signed-off-by: Sam James <sam <AT> gentoo.org>
www-apache/mod_perl/Manifest | 1 +
www-apache/mod_perl/mod_perl-2.0.13.ebuild | 142 +++++++++++++++++++++++++++++
2 files changed, 143 insertions(+)
diff --git a/www-apache/mod_perl/Manifest b/www-apache/mod_perl/Manifest
index 5e94a56ae488..611f1d0b35c3 100644
--- a/www-apache/mod_perl/Manifest
+++ b/www-apache/mod_perl/Manifest
@@ -1,2 +1,3 @@
DIST mod_perl-2.0.11.tar.gz 3848147 BLAKE2B 8eeef6d1fadbf9d2e3bcff33c5114e588f032c2497f5191b1edd30da8bce72eadf5ea62482ec8ece7d7fde308c8c41d6682d1a325760c627bee75c3ce8cf6272 SHA512 f232b215ccb9217f69ccced8a037470e5975900b9a6fcc5a2e4674e6559d21f026547c1b97c48109352043946dc22539dd38004759be16ad5cfcb3a96973dfdf
DIST mod_perl-2.0.12.tar.gz 3848030 BLAKE2B fe4e57d76f7e7a79f171a96d2bab65743eeae45528c0bc3a8bc8ef6d91bb875d3857799f7d65cbf590994c30699a8646dbc905d76551fb97151d0827222a9ba2 SHA512 890dca0950847e32180485cabbeffbf236af2c92c7df957a233c210022b5172957eddb1db3e9281b87cd438d2fa404a05ae99c7eda098267c68d5e9262b400b0
+DIST mod_perl-2.0.13.tar.gz 3848487 BLAKE2B 8fb640f6815dac7a93ceeca21c63d4c5d5f14c81d061b0fbfe5831afcb8682df509c367f113a7b1396fdd25ccebd66cf708f99b5e69c8393add0f7969c102249 SHA512 453c789743487e2d1167d005f21ef9780f36488db8830103e4ea0a0656f685bf5ec423cd1baa68ee30efc75d9e2b845c9656458203b9f48de81a315a91d587c9
diff --git a/www-apache/mod_perl/mod_perl-2.0.13.ebuild b/www-apache/mod_perl/mod_perl-2.0.13.ebuild
new file mode 100644
index 000000000000..d2a2640320dc
--- /dev/null
+++ b/www-apache/mod_perl/mod_perl-2.0.13.ebuild
@@ -0,0 +1,142 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DIST_TEST=do
+inherit depend.apache apache-module perl-module
+
+DESCRIPTION="An embedded Perl interpreter for Apache2"
+HOMEPAGE="https://perl.apache.org/ https://projects.apache.org/project.html?perl-mod_perl"
+SRC_URI="mirror://apache/perl/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="1"
+KEYWORDS="~amd64 ~arm ~ppc ~ppc64 ~riscv ~x86"
+IUSE="debug ithreads test"
+RESTRICT="!test? ( test )"
+
+# Apache::Reload, Apache::SizeLimit, and Apache::Test are force-unbundled.
+# The minimum versions requested here are the bundled versions.
+
+# The test dependencies are from CPAN (Bundle::Apache2).
+
+# When all MPMs are disabled via useflags, the apache ebuild selects a
+# default one, which will likely need threading.
+
+RDEPEND="
+ dev-lang/perl[ithreads=]
+ >=dev-perl/Apache-Test-1.420.0
+ >=www-servers/apache-2.0.47
+ >=dev-libs/apr-util-1.4
+ !ithreads? ( www-servers/apache[-apache2_mpms_event,-apache2_mpms_worker,apache2_mpms_prefork] )
+"
+DEPEND="${RDEPEND}"
+BDEPEND="
+ dev-perl/Module-Build
+ test? (
+ >=dev-perl/CGI-3.110.0
+ dev-perl/Chatbot-Eliza
+ dev-perl/Devel-Symdump
+ dev-perl/HTML-Parser
+ dev-perl/IPC-Run3
+ dev-perl/libwww-perl
+ www-servers/apache[apache2_modules_version,-apache2_modules_unique_id]
+ !www-apache/mpm_itk
+ )
+"
+PDEPEND="
+ >=dev-perl/Apache-Reload-0.130.0
+ >=dev-perl/Apache-SizeLimit-0.970.0
+"
+
+APACHE2_MOD_FILE="${S}/src/modules/perl/mod_perl.so"
+APACHE2_MOD_CONF="2.0.3/75_${PN}"
+APACHE2_MOD_DEFINE="PERL"
+
+need_apache2
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-2.0.1-sneak-tmpdir.patch # seems to fix the make test problem
+ "${FILESDIR}"/${PN}-2.0.4-inline.patch # 550244
+ "${FILESDIR}"/${PN}-2.0.10_rc1-bundled-Apache-Test.patch # 352724
+ "${FILESDIR}"/${PN}-2.0.10_rc1-Gentoo-not-Unix.patch
+ "${FILESDIR}"/${PN}-2.0.11-ranlib.patch # 728554
+)
+
+src_prepare() {
+ perl-module_src_prepare
+
+ # chainsaw unbundling
+ rm -rf Apache-{Test,Reload,SizeLimit}/ lib/Bundle/ || die
+}
+
+src_configure() {
+ _init_apache2_late
+
+ local debug=$(usex debug 1 0)
+ local nothreads=$(usex ithreads 0 1)
+ myconf=(
+ MP_USE_DSO=1
+ MP_APXS=${APXS}
+ MP_APR_CONFIG=/usr/bin/apr-1-config
+ MP_TRACE=${debug}
+ MP_DEBUG=${debug}
+ MP_NO_THREADS=${nothreads}
+ )
+
+ perl-module_src_configure
+}
+
+src_test() {
+ # make test notes whether it is running as root, and drops
+ # privileges all the way to "nobody" if so, so we must adjust
+ # write permissions accordingly in this case.
+
+ # IF YOU SUDO TO EMERGE AND HAVE !env_reset set testing will fail!
+ if [[ "$(id -u)" == "0" ]]; then
+ chown nobody:nobody "${WORKDIR}" "${T}" || die
+ fi
+
+ # We force verbose tests for now to get meaningful bug reports.
+ MAKEOPTS+=" -j1"
+ TMPDIR="${T}" HOME="${T}/" TEST_VERBOSE=1 LC_TIME=C perl-module_src_test
+}
+
+src_install() {
+ apache-module_src_install
+
+ default
+
+ perl_delete_localpod
+ perl_fix_packlist
+ perl_delete_emptybsdir
+
+ insinto "${APACHE_MODULES_CONFDIR}"
+ doins "${FILESDIR}"/2.0.3/apache2-mod_perl-startup.pl
+
+ # this is an attempt to get @INC in line with /usr/bin/perl.
+ # there is blib garbage in the mainstream one that can only be
+ # useful during internal testing, so we wait until here and then
+ # just go with a clean slate. should be much easier to see what's
+ # happening and revert if problematic.
+
+ perl_set_version
+ sed -i \
+ -e "s,-I${S}/[^[:space:]\"\']\+[[:space:]]\?,,g" \
+ -e "s,-typemap[[:space:]]${S}/[^[:space:]\"\']\+[[:space:]]\?,,g" \
+ -e "s,${S}\(/[^[:space:]\"\']\+\)\?,/,g" \
+ "${D}/${VENDOR_ARCH}/Apache2/BuildConfig.pm" || die
+
+ local fname
+ for fname in $(find "${D}" -type f -not -name '*.so'); do
+ grep -q "\(${D}\|${S}\)" "${fname}" && ewarn "QA: File contains a temporary path ${fname}"
+ sed -i -e "s:\(${D}\|${S}\):/:g" ${fname} || die
+ done
+
+ perl_remove_temppath
+}
+
+pkg_postinst() {
+ apache-module_pkg_postinst
+}
next reply other threads:[~2023-11-13 4:35 UTC|newest]
Thread overview: 44+ messages / expand[flat|nested] mbox.gz Atom feed top
2023-11-13 4:35 Sam James [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-03-27 17:55 [gentoo-commits] repo/gentoo:master commit in: www-apache/mod_perl/ Arthur Zamarin
2024-05-07 7:57 Andreas K. Hüttel
2024-01-18 8:06 Florian Schmaus
2024-01-18 8:06 Florian Schmaus
2024-01-18 8:06 Florian Schmaus
2024-01-18 8:06 Florian Schmaus
2023-09-02 14:32 Arthur Zamarin
2023-09-02 14:32 Arthur Zamarin
2023-09-02 14:32 Arthur Zamarin
2023-09-02 14:32 Arthur Zamarin
2023-07-05 1:25 Sam James
2022-08-26 10:46 Sam James
2020-06-13 21:09 Matt Turner
2020-05-11 16:49 Agostino Sarubbo
2020-05-06 6:28 Agostino Sarubbo
2020-05-05 6:46 Agostino Sarubbo
2020-05-04 16:56 Agostino Sarubbo
2020-03-17 9:44 Andreas K. Hüttel
2018-12-22 12:46 Andreas K. Hüttel
2018-07-23 8:15 Christian Ruppert
2017-04-30 9:37 Agostino Sarubbo
2017-04-19 21:32 Andreas Hüttel
2017-03-31 8:41 Michael Weber
2017-02-08 0:41 Robin H. Johnson
2017-02-02 0:06 Kent Fredric
2017-01-20 23:38 Andreas Hüttel
2017-01-14 13:52 Andreas Hüttel
2017-01-10 8:23 Aaron Bauman
2016-12-21 21:34 Thomas Deutschmann
2016-12-05 15:54 Tobias Klausmann
2016-11-25 8:44 Tobias Klausmann
2016-10-28 23:50 Andreas Hüttel
2016-10-21 23:28 Andreas Hüttel
2016-10-08 12:45 Patrice Clement
2016-10-01 18:11 Andreas Hüttel
2016-08-26 9:28 Pacho Ramos
2016-05-23 11:42 Tobias Klausmann
2016-03-07 12:54 Agostino Sarubbo
2016-01-22 17:38 Andreas Hüttel
2016-01-22 0:02 Andreas Hüttel
2016-01-09 19:31 Andreas Hüttel
2016-01-09 19:30 Andreas Hüttel
2015-11-22 8:02 Markus Meier
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1699850075.ab9b6dfd0decc439972bb1fb190b24589c859cf7.sam@gentoo \
--to=sam@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox